#ifndef _TARTFOCALPLANEPARA_H_
#define _TARTFOCALPLANEPARA_H_

class TArtFocalPlanePara : public TNamed {
  
 public:
  TArtFocalPlanePara(){}
  TArtFocalPlanePara(Int_t i, Int_t f, Double_t z) :
    id(i), fpl(f), zpos(z), zpos_offset(0) { }
  ~TArtFocalPlanePara() { }

  Int_t GetID() const { return id; }
  Int_t GetFpl() const { return fpl; }
  Double_t GetZpos() const { return zpos; }
  Double_t GetFocusPos() const { return zpos + zpos_offset; }

  void SetZoffset(Double_t z){zpos_offset = z;}

 private:
  Int_t     id;
  Int_t     fpl;
  Double_t  zpos;
  Double_t  zpos_offset;

  ClassDef(TArtFocalPlanePara,1);

};

#endif
