#ifndef _TARTDALIPARAMETERS_H_
#define _TARTDALIPARAMETERS_H_

#include <TROOT.h>
#include <map>

class TXMLNode;
class TArtDALIPara;
class TArtRIDFMap;

class TArtDALIParameters : public TNamed
{
 public: 

  TArtDALIParameters();
  ~TArtDALIParameters();
  Bool_t LoadParameter(char *xmlfile);

  TArtDALIPara * GetDALIPara(TArtRIDFMap *rmap);

 protected:

  std::map<TArtRIDFMap, TArtDALIPara *> pmap;
  std::map<TArtRIDFMap, TArtDALIPara *>::iterator itrEnd;
  std::map<TArtRIDFMap, TArtDALIPara *>::iterator itr;

  void ParseParaList(TXMLNode *node);
  TArtDALIPara * ParseDALIPara(TXMLNode *node);

  ClassDef(TArtDALIParameters,1);

};

#endif
